summaryrefslogtreecommitdiffstats
path: root/web/hint-packages.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-06-22 16:39:45 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-08-19 16:05:40 +0000
commit4002d038dd359ceb6cd8c810a0c10662d0851448 (patch)
treec6646ed1f2a919fea73fa30e95fc5ba120ef36f8 /web/hint-packages.sh
parentUpdating. (diff)
downloadprogress-linux-tools-4002d038dd359ceb6cd8c810a0c10662d0851448.tar.xz
progress-linux-tools-4002d038dd359ceb6cd8c810a0c10662d0851448.zip
Updating.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'web/hint-packages.sh')
-rwxr-xr-xweb/hint-packages.sh82
1 files changed, 82 insertions, 0 deletions
diff --git a/web/hint-packages.sh b/web/hint-packages.sh
new file mode 100755
index 0000000..ef76ebf
--- /dev/null
+++ b/web/hint-packages.sh
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+set -e
+
+for CODENAMES in \
+ engywuck_fuchur \
+ engywuck-backports_fuchur-backports \
+ fuchur_engywuck \
+ fuchur-backports_engywuck-backports \
+ graograman_fuchur
+ #graograman-backports_fuchur-backports
+do
+ TARGET="$(echo ${CODENAMES} | awk -F_ '{ print $1 }')"
+ SOURCE="$(echo ${CODENAMES} | awk -F_ '{ print $2 }')"
+
+ echo "###############################################################################"
+ echo "${TARGET} hints"
+ echo "###############################################################################"
+
+ cd "/srv/git/progress-linux.org/packages/${SOURCE}"
+
+ for PACKAGE in $(ls -d */)
+ do
+ PACKAGE="$(basename ${PACKAGE})"
+
+ if [ ! -e "../${TARGET}/${PACKAGE}" ]
+ then
+ case "${TARGET}" in
+ engywuck)
+ case "${PACKAGE}" in
+ browserpass)
+ # no modification in the newer package in the old distribution required - ignore
+ continue
+ ;;
+
+ progress-linux-metapackages)
+ # package already included in engywuck-backports
+ continue
+ ;;
+ esac
+ ;;
+
+ engywuck-backports)
+ case "${PACKAGE}" in
+ pass-tomb|password-store)
+ # no modification in the newer package in the old distribution required - ignore
+ continue
+ ;;
+
+ dnsperf|icingaweb2-module-generictts|icingaweb2-module-graphite|icingaweb2-module-idoreports|icingaweb2-module-incubator|icingaweb2-module-metapackages|icingaweb2-module-reporting|icingaweb2-module-toplevelview|icingaweb2-module-x509|iredis|litecli|monitoring-plugins-systemd|pgcli|postgresql-14|ptpython)
+ # package not in debian bullseye - ignore
+ continue
+ ;;
+
+ ck|libgcrypt20|cli-helpers|libgpg-error|llvm-toolchain-12|llvm-toolchain-13|pendulum|pytzdata)
+ # build-depends of package not in debian bullseye - ignore
+ continue
+ ;;
+ esac
+ ;;
+
+ fuchur)
+ case "${PACKAGE}" in
+ mdadm|mycli)
+ # no modification in the newer package in the old distribution required - ignore
+ continue
+ ;;
+
+ linux-latest|mariadb-10.3|postgresql-11)
+ # package not in debian bullseye - ignore
+ continue
+ ;;
+ esac
+ ;;
+ esac
+
+ echo "${TARGET}: ${PACKAGE}"
+ fi
+ done
+
+ echo
+done